package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.ClientTypeEnum;
import com.ym.mec.biz.dal.enums.ExamSongTypeEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_music_score):
 */
public class SysMusicScore {

	/**  */
	private Integer id;
	
	/**  */
	private Integer musicScoreCategoriesId;
	
	/** 名称 */
	private String name;

	/** 名称 */
	private String categoriesName;

	/** 名称 */
	private Integer categoriesId;
	
	/** 类型PERSON 个人,COMMON公用 */
	private ExamSongTypeEnum type;
	
	/** 声部列表 */
	private String subjectIds;
	
	/** 速度 */
	private Integer speed;
	
	/** 原音MP3 */
	private String url;

	/** 原音MP3 */
	private String createUserName;
	
	/** 上传人 */
	private Integer createUserId;
	
	/** 是否删除1是0否 */
	private Integer delFlag;

	private Integer order;

	/**
	 * 客户端类型
	 */
	private ClientTypeEnum clientType;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	private java.util.Date createTime;

	public ClientTypeEnum getClientType() {
		return clientType;
	}

	public void setClientType(ClientTypeEnum clientType) {
		this.clientType = clientType;
	}

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public Integer getCategoriesId() {
		return categoriesId;
	}

	public void setCategoriesId(Integer categoriesId) {
		this.categoriesId = categoriesId;
	}

	public String getCategoriesName() {
		return categoriesName;
	}

	public void setCategoriesName(String categoriesName) {
		this.categoriesName = categoriesName;
	}

	public String getCreateUserName() {
		return createUserName;
	}

	public void setCreateUserName(String createUserName) {
		this.createUserName = createUserName;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setMusicScoreCategoriesId(Integer musicScoreCategoriesId){
		this.musicScoreCategoriesId = musicScoreCategoriesId;
	}
	
	public Integer getMusicScoreCategoriesId(){
		return this.musicScoreCategoriesId;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}

	public ExamSongTypeEnum getType() {
		return type;
	}

	public void setType(ExamSongTypeEnum type) {
		this.type = type;
	}

	public void setSubjectIds(String subjectIds){
		this.subjectIds = subjectIds;
	}
	
	public String getSubjectIds(){
		return this.subjectIds;
	}
			
	public void setSpeed(Integer speed){
		this.speed = speed;
	}
	
	public Integer getSpeed(){
		return this.speed;
	}
			
	public void setUrl(String url){
		this.url = url;
	}
	
	public String getUrl(){
		return this.url;
	}
			
	public void setCreateUserId(Integer createUserId){
		this.createUserId = createUserId;
	}
	
	public Integer getCreateUserId(){
		return this.createUserId;
	}
			
	public void setDelFlag(Integer delFlag){
		this.delFlag = delFlag;
	}
	
	public Integer getDelFlag(){
		return this.delFlag;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
